<?php
/**
 * RSS title slider
 *
 * @package     RSS title slider
 * @subpackage  mod_rss_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/04/rss-title-slider-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\RssTitleSlider\Site\Helper\RssTitleSliderHelper;

$modbase 	= JURI::base(true).'/modules/mod_rss_title_slider/';
$document 	= JFactory::getDocument();
$rts_jquery = $params->get("rts_jquery","NO");	
if($rts_jquery == "YES") {
	JHtml::_('jquery.framework');
}
$document->addStyleSheet($modbase.'css/mod_rss_title_slider.css');
$document->addScript ($modbase.'js/jquery.cycle.all.min.js');

$feed = RssTitleSliderHelper::getFeed($params);

require ModuleHelper::getLayoutPath('mod_rss_title_slider', $params->get('layout', 'default'));